Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 788637 - net-misc/stargazer-2.408-r1 - /.../user_ips.h: error: ISO C++17 does not allow dynamic exception specifications (maybe gcc-11 related)
Summary: net-misc/stargazer-2.408-r1 - /.../user_ips.h: error: ISO C++17 does not allo...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Vladimir Pavljuchenkov (SpiderX)
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-05-06 20:53 UTC by Toralf Förster
Modified: 2021-09-02 20:37 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.94 KB, text/plain)
2021-05-06 20:53 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,442.01 KB, text/plain)
2021-05-06 20:53 UTC, Toralf Förster
Details
environment (environment,125.23 KB, text/plain)
2021-05-06 20:53 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,24.09 KB, application/x-bzip)
2021-05-06 20:53 UTC, Toralf Förster
Details
net-misc:stargazer-2.408-r1:20210506-194122.log (net-misc:stargazer-2.408-r1:20210506-194122.log,30.97 KB, text/plain)
2021-05-06 20:53 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-05-06 20:53:19 UTC
                 from /var/tmp/portage/net-misc/stargazer-2.408-r1/work/stg-2.408/projects/stargazer/../../include/stg/user_property.h:22,
                 from inetaccess.cpp:44:
/var/tmp/portage/net-misc/stargazer-2.408-r1/work/stg-2.408/projects/stargazer/../../include/stg/user_ips.h:62:59: error: ISO C++17 does not allow dynamic exception specifications
   62 |     friend const USER_IPS StrToIPS(const string & ipsStr) throw(string);
      |                                                           ^~~~~
/var/tmp/portage/net-misc/stargazer-2.408-r1/work/stg-2.408/projects/stargazer/../../include/stg/user_ips.h:199:53: error: ISO C++17 does not allow dynamic exception specifications
  199 | const USER_IPS StrToIPS(const std::string & ipsStr) throw(std::string)

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20210423-202814

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-8.3.1
 [3] x86_64-pc-linux-gnu-11.1.0 *
clang version 12.0.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/12/bin
/usr/lib/llvm/12
12.0.0
Python 3.8.10
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby30 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.51.0 *
The following VMs are available for generation-2:
The Glorious Glasgow Haskell Compilation System, version 8.10.4
  [1]   php7.3 *
  [2]   php7.4
  [3]   php8.0

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Thu May  6 19:05:22 UTC 2021

emerge -qpvO net-misc/stargazer
[ebuild  N    ] net-misc/stargazer-2.408-r1  USE="module_auth_internet_access module_store_files stargazer -debug -module_auth_always_online -module_auth_freeradius -module_capture_ether -module_capture_ipq -module_capture_netflow -module_config_rpcconfig -module_config_sgconfig -module_other_ping -module_other_remote_script -module_other_smux -module_store_firebird -module_store_mysql -module_store_postgres -radius -rscriptd -sgauth -sgconf -sgconf_xml -sgconv"
Comment 1 Toralf Förster gentoo-dev 2021-05-06 20:53:20 UTC
Created attachment 706404 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-05-06 20:53:22 UTC
Created attachment 706407 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2021-05-06 20:53:23 UTC
Created attachment 706410 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2021-05-06 20:53:24 UTC
Created attachment 706413 [details]
etc.portage.tar.bz2
Comment 5 Toralf Förster gentoo-dev 2021-05-06 20:53:26 UTC
Created attachment 706416 [details]
net-misc:stargazer-2.408-r1:20210506-194122.log
Comment 6 Sam James archtester gentoo-dev Security 2021-07-26 04:54:36 UTC
Ping.
Comment 7 Larry the Git Cow gentoo-dev 2021-08-04 21:12:13 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=27c1add79bac27db9f36d87a8faf0d3023a403e8

commit 27c1add79bac27db9f36d87a8faf0d3023a403e8
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-08-04 21:11:45 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-08-04 21:11:45 +0000

    profiles: last-rite net-misc/stargazer
    
    Bug: https://bugs.gentoo.org/692806
    Bug: https://bugs.gentoo.org/694674
    Bug: https://bugs.gentoo.org/712832
    Bug: https://bugs.gentoo.org/725166
    Bug: https://bugs.gentoo.org/740792
    Bug: https://bugs.gentoo.org/788637
    Bug: https://bugs.gentoo.org/798042
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/package.mask | 7 +++++++
 1 file changed, 7 insertions(+)
Comment 8 Larry the Git Cow gentoo-dev 2021-09-02 20:37:02 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c1a5727e16c09889a4d3fe78ad5c8cd8d0c6190f

commit c1a5727e16c09889a4d3fe78ad5c8cd8d0c6190f
Author:     Jakov Smolić <jsmolic@gentoo.org>
AuthorDate: 2021-09-02 20:30:19 +0000
Commit:     Jakov Smolić <jsmolic@gentoo.org>
CommitDate: 2021-09-02 20:35:34 +0000

    net-misc/stargazer: Remove last-rited package
    
    Closes: https://bugs.gentoo.org/712832
    Closes: https://bugs.gentoo.org/694674
    Closes: https://bugs.gentoo.org/725166
    Closes: https://bugs.gentoo.org/788637
    Closes: https://bugs.gentoo.org/692806
    Closes: https://bugs.gentoo.org/798042
    Closes: https://bugs.gentoo.org/740792
    Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>

 net-misc/stargazer/Manifest                        |   1 -
 net-misc/stargazer/files/logrotate                 |   9 -
 net-misc/stargazer/files/mans/rscriptd.8           |  51 --
 net-misc/stargazer/files/mans/sgauth.8             |  54 --
 net-misc/stargazer/files/mans/sgconf.1             | 160 ------
 net-misc/stargazer/files/mans/sgconf_xml.1         |  79 ---
 net-misc/stargazer/files/mans/sgconv.1             |  42 --
 net-misc/stargazer/files/mans/stargazer.8          |  64 ---
 .../files/patches/stg-2.408-build-upstream.patch   | 214 --------
 .../stargazer/files/patches/stg-2.408-build.patch  | 179 -------
 .../files/patches/stg-2.408-correct-paths.patch    | 186 -------
 .../patches/stg-2.408-fix-crash-on-stop.patch      | 190 --------
 .../stg-2.408-makefile-build-upstream.patch        | 386 ---------------
 .../stg-2.408-makefile-firebird-upstream.patch     |  13 -
 .../files/patches/stg-2.408-makefile.patch         | 203 --------
 .../files/patches/stg-2.408-on-upstream.patch      | 151 ------
 .../files/patches/stg-2.408-radius-upstream.patch  |  31 --
 .../patches/stg-2.408-rscriptd-upstream.patch      |  26 -
 .../patches/stg-2.408-rscriptd.conf-upstream.patch |  80 ---
 .../patches/stg-2.408-sgauth.conf-upstream.patch   | 112 -----
 .../files/patches/stg-2.408-sgconv-upstream.patch  |  40 --
 .../files/patches/stg-2.408-static-libs.patch      |  10 -
 net-misc/stargazer/files/rscriptd                  |  23 -
 net-misc/stargazer/files/sgauth                    |  27 -
 net-misc/stargazer/metadata.xml                    |  50 --
 net-misc/stargazer/stargazer-2.408-r2.ebuild       | 542 ---------------------
 profiles/package.mask                              |   7 -
 27 files changed, 2930 deletions(-)